net.sf.okapi.lib.xliff2.core

## Class ExtAttribute

- java.lang.Object
- - net.sf.okapi.lib.xliff2.core.ExtAttribute

-     public class ExtAttribute
      extends java.lang.Object

  Represents an extension (or unsupported module) attribute.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtAttribute(ExtAttribute original)` Copy constructor.
    `ExtAttribute(javax.xml.namespace.QName qName, java.lang.String value)` Creates a new `ExtAttribute` object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLocalPart()` Gets the local name of this attribute.
    `java.lang.String` | `getNamespaceURI()` Gets the namespace URI of this attribute.
    `java.lang.String` | `getPrefix()` Gets the prefix of this attribute.
    `javax.xml.namespace.QName` | `getQName()` Gets the QName of this attribute.
    `java.lang.String` | `getValue()` Gets the value of this attribute.
    `boolean` | `isModule()` Indicates if this attribute is part of a module or not.
    `void` | `setValue(java.lang.String value)` Sets the value of this attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtAttribute

          public ExtAttribute(ExtAttribute original)

      Copy constructor.
      Parameters:
        `original` - the original object to duplicate.

    - #### ExtAttribute

          public ExtAttribute(javax.xml.namespace.QName qName,
                      java.lang.String value)

      Creates a new `ExtAttribute` object.
      Parameters:
        `qName` - the qualified name of this attribute.
        `value` - the value of this attribute.

  - ### Method Detail

    - #### getQName

          public javax.xml.namespace.QName getQName()

      Gets the QName of this attribute.
      Returns:
        the QName of this attribute.

    - #### getValue

          public java.lang.String getValue()

      Gets the value of this attribute.
      Returns:
        the value of this attribute (can be null).

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of this attribute.
      Parameters:
        `value` - the new value of this attribute (can be null).

    - #### getLocalPart

          public java.lang.String getLocalPart()

      Gets the local name of this attribute.
      Returns:
        the local name of this attribute.

    - #### getNamespaceURI

          public java.lang.String getNamespaceURI()

      Gets the namespace URI of this attribute.
      Returns:
        the namespace URI of this attribute.

    - #### getPrefix

          public java.lang.String getPrefix()

      Gets the prefix of this attribute.
      Returns:
        the prefix of this attribute.

    - #### isModule

          public boolean isModule()

      Indicates if this attribute is part of a module or not.
      Returns:
        true if this attribute is part of a module.